---
title: onconnectionavailable
slug: Web/API/PresentationRequest/onconnectionavailable
---
<p><span class="seoSummary">The following are event handlers (and their corresponding event handler event types) which must be supported, as event handler IDL attributes, by objects implementing the <a class="internalDFN" href="https://www.w3.org/TR/2016/CR-presentation-api-20160714/#idl-def-presentationrequest"><code>PresentationRequest</code></a> interface:</span></p>

<table>
 <thead>
  <tr>
   <th>Event handler</th>
   <th>Event handler event type</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><dfn><code>onconnectionavailable</code></dfn></td>
   <td><dfn><code>connectionavailable</code></dfn></td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#dom-presentationrequest-onconnectionavailable','PresentationRequest.onconnectionavailable')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PresentationRequest.onconnectionavailable")}}</p>
